%define name		icecast
%define version		2.3.1
%define release		%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Streaming Media Server
Group:		System/Servers
License:	GPL
URL:		http://www.icecast.org
Source0:	http://downloads.us.xiph.org/releases/icecast/%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Source2:	%{name}.logrotate
Patch0:		%{name}.conf.patch
Patch1:		%{name}-curl.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
Requires(postun):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	libxslt-devel
BuildRequires:	libcurl-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:  speex-devel
Epoch:		2

%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1 -p1
bzcat %{SOURCE1} > %{name}

%build
./autogen.sh || :
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

# remove installed documentation
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_initrddir}

# logrotate
install -d %{buildroot}%{_sysconfdir}/logrotate.d/
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# to hold pid file ( need to be writable by icecast )
mkdir -p $RPM_BUILD_ROOT/%{_var}/run/%{name}/

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd %{name} %{_datadir}/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING HACKING README TODO
%{_bindir}/*
%{_datadir}/%{name}
%attr(-,icecast,icecast) %{_var}/log/%{name}
%attr(-,icecast,icecast) %dir %{_var}/run/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}.xml
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}



%changelog
* Sat Feb 03 2007 Emmanuel Andry <eandry@mandriva.org> 2.3.1-3mdv2007.0
+ Revision: 116091
- bunzipped patch
- added patch from fedora to fix build against latest curl

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 2:2.3.1-2mdv2007.0
+ Revision: 53737
- fix prereq, rebuild
- Import icecast


* Tue Dec 20 2005 Olivier Thauvin <nanardon@mandriva.org> 2:2.3.1-1mdk
- 2.3.1

* Mon Oct 17 2005 Olivier Thauvin <nanardon@mandriva.org> 2:2.3.0-2mdk
- BuildRequires: speex-devel (misc)

* Sun Oct 16 2005 Olivier Thauvin <nanardon@mandriva.org> 2:2.3.0-1mdk
- 2.3.0

* Sun Aug 07 2005 Michael Scherer <misc@mandriva.org> 2:2.2.0-3mdk
- fix the default pid file ( not writable when run as non root ) 

* Sun Jul 03 2005 Michael Scherer <misc@mandriva.org> 2:2.2.0-2mdk
- proper logrotate support

* Sat May 21 2005 Michael Scherer <misc@mandriva.org> 2:2.2.0-1mdk
- new release
- rpmbuildupdate

* Wed Nov 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.0-2mdk
- From Cedric Devillers (brancaleone on #mandrakefr): 
    - Fix config patch
    - Fix logrotate config

* Sun Nov 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.0-1mdk
- 2.1.0
 
* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0.1-1mdk
- New version
- Rebuild for new curl

* Tue Mar 16 2004 Laurent Culioli <laurent@mandrakesoft.com> 2.0.0-2mdk
- fix initscript

* Thu Jan 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.0-1mdk
- 2.0.0 final
- fix buildrequires for 64bits arch

* Sun Jul 20 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-0.20030710.2mdk
- buildrequires (Michael Scherer <scherer.michael@free.fr>)

* Thu Jul 10 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-0.20030710.1mdk
- prerelease tag
- cleaned initscript, no more ices references
- cleaned win32 doc files
- no more explit requires, let do spechelper do its job
- run as icecast user, icecast group
- rm -rf $RPM_BUILD_ROOT in %%install

* Sat Mar 29 2003 David Walluck <walluck@linux-mandrake.com> 2.0.0-3mdk
- add initscript
- should have been perl -i

* Sat Mar 29 2003 David Walluck <walluck@linux-mandrake.com> 2.0.0-2mdk
- remove CVS directories
- more macros

* Sat Mar 29 2003 David Walluck <walluck@linux-mandrake.com> 2.0.0-1mdk
- 2.0.0 CVS

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.12-3mdk
- build release
- removed Packager as it's set by your ~/.rpmmacros file
- fix configure-without-libdir-spec
- added P0
- remove wrongly installed docs
- misc spec file fixes

* Mon Sep  9 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.3.12-2mdk
- added Packager

* Thu Apr 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.12-1mdk
- 1.3.12
- add noreplace to %%config

* Tue Aug 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.3.11-1mdk
- updated to 1.3.11

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.10-2mdk
- rebuild

* Thu Jun 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.3.10-1mdk
- updated to 1.3.10

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.8.beta2-1mdk
- updated to 1.3.8.beta2

* Wed Sep 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.7-2mdk
- BM
- macros

* Fri Jul 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.3.7-1mdk
- mandrake-ize package

* Tue Mar 21 2000 Jeremy Katz <katzj@icecast.org>
- clean up the spec file a little

* Thu Dec 9 1999 Jeremy Katz <katzj@icecast.org>
- First official rpm build, using 2.0.0-beta
